AugmentReference (Apache Ant API)
Date: 2012-02-26

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class AugmentReference

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.AugmentReference

All Implemented Interfaces:
  java.lang.Cloneable, TypeAdapter

    public class AugmentReference

extends Task
implements TypeAdapter

Ant task to dynamically augment a previously declared reference.

Since:
  Ant 1.8.1

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`AugmentReference()`

Method Summary
`void` | `checkProxyClass(java.lang.Class proxyClass)` Check if the proxy class is compatible with this adapter - i.e.
`void` | `execute()` Overridden to restore the wrapper once it is no longer needed.
`java.lang.Object` | `getProxy()` Returns the proxy object.
`void` | `setProxy(java.lang.Object o)` Sets the proxy object, whose methods are going to be invoked by ant.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tools.ant.TypeAdapter
`getProject, setProject`

Constructor Detail

### AugmentReference

    public AugmentReference()

Method Detail

### checkProxyClass

    public void checkProxyClass(java.lang.Class proxyClass)

  Check if the proxy class is compatible with this adapter - i.e. the adapter will be able to adapt instances of the give class.

  Specified by:
    `checkProxyClass` in interface `TypeAdapter`
  Parameters:
    `proxyClass` - the class to be checked.

### getProxy

    public java.lang.Object getProxy()

  Returns the proxy object.

  Specified by:
    `getProxy` in interface `TypeAdapter`
  Returns:
    the target proxy object

### setProxy

    public void setProxy(java.lang.Object o)

  Sets the proxy object, whose methods are going to be invoked by ant. A proxy object is normally the object defined by a <typedef/> task that is adapted by the "adapter" attribute.

  Specified by:
    `setProxy` in interface `TypeAdapter`
  Parameters:
    `o` - The target object. Must not be `null`.

### execute

    public void execute()

  Overridden to restore the wrapper once it is no longer needed.

  Overrides:
    `execute` in class `Task`
  Since:
    Ant 1.8.3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD